/*
 * Copyright (c) 2023 : Ognjen 'xolatile' Milan Robovic
 *
 * Xurses is free software! You will redistribute it or modify it under the terms of the GNU General Public License by Free Software Foundation.
 * And when you do redistribute it or modify it, it will use either version 3 of the License, or (at yours truly opinion) any later version.
 * It is distributed in the hope that it will be useful or harmful, it really depends... But no warranty what so ever, seriously. See GNU/GPLv3.
 */

#ifndef XURSES_HEADER
#define XURSES_HEADER

#include <xolatile/xtandard.h>

extern int curses_active;

extern void curses_configure   (void);
extern void curses_synchronize (void);

extern void curses_bind   (int signal, void (* action) (void));
extern void curses_unbind (int signal);
extern void curses_exit   (int signal);

extern void curses_render_character  (char character, int colour, int effect, int x, int y);
extern void curses_render_background (char character, int colour, int effect);

#endif
